// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
//	test PsfDataServer
//
#include "CalServer.h"

using namespace std;

int main()
{
        const Xmm::Instrument instrument = Xmm::EPN;
        calServer.setInstrument(instrument);

	calServer.state()->accuracyLevel()->set(ELLBETA);
	PsfDataServer *pds = 0; pds = calServer.getAtom(pds);

        for (int i=1; i<90; i++) {
        //for (int i=1; i<1500; i++) {
          double e=10250.0;
          double theta=i*10;
          //double e=i*10.0;
   	  double tot=pds->psf(e,theta).enboxedEnergy(Psf::PsfWindow(5., 5.));
          cout<<"Tot: "<<tot<<endl;
        }

        // Interrogate the offset coefficients
        vector<double> off = pds->psf(1500.0,600.0).offsetCoeffs();

        cout<<"Offset coeffs: "<<off[0]<<" "<<off[1]<<" "<<off[2]<<" "<<off[3]
            <<endl;

        double p = pds->psf(1500.0,900.0).centreOffset();
        cout<<"Offset@900: "<<p<<" arcsecs"<<endl;

        Psf &psf2 = pds->psf(1500.0,900.0);
        p = psf2.centreOffset(600.0);
        cout<<"Offset@600: "<<p<<" arcsecs"<<endl;
        p = psf2.centreOffset(900.0);
        cout<<"Offset@900: "<<p<<" arcsecs"<<endl;
        
	return 0;
}
