// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
//	test the AbsorptionDataServer class
//
#include <iostream>
#include <cassert>
#include "CalServer.h"
#include "Ccf.h"
#include "SPDetImageDataServer.h"

using namespace std;

/*
namespace {
bool isClose(double a, double b)
{
    return fabs(a)/fabs(b)-1. < 1.e-5;
}
}
*/

int main()
{
	//	setup the the Cal server
	const Xmm::Instrument instrument = Xmm::EMOS1;
	calServer.setInstrument(instrument);

	//	get the SPDet map
	SPDetImageDataServer *sds = 0; sds = calServer.getAtom(sds);
        SImage mapv = sds->getSPDetImage();
        cout<<" SPDet image([0,0],[193,300],[350,149]): "<<mapv[0][0]<<" "<<mapv[193][300]<<" "<<mapv[350][149]<<endl;

        // Same for EPN
        calServer.setInstrument(Xmm::EPN);
	sds = calServer.getAtom(sds);
        SImage mapv2 = sds->getSPDetImage();
        cout<<" SPDet image([0,0],[193,300],[350,149]): "<<mapv2[0][0]<<" "<<mapv2[193][300]<<" "<<mapv2[350][149]<<endl;

	return 0;
}







