// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
//	testpngaincti: just to see if it links - do not run it!
//

#include <iostream>
#include "CalPnAlgo.h"

using namespace std;

int main()
{
	const unsigned N = 768,
				   M = 3;
	float pp0[N], pp1[N], pp2[N], pp3[N], aa[N], bb[N], suppl[M];
	pp0[0] = 99.;

	CALPNALGO_initGain(N, pp0, pp1, pp2, pp3, aa, bb, M, suppl);

	float r1, r2;
	int ierr = 0;

	CALPNALGO_gainCorrect(0, 0, 0, 0, 0, r1, r2, ierr);

	cout<<r<<" "<<ierr<<endl;


	int iv[N], mode, y_shift = 0;
	float temp;
	float ytiming = 0.,
		  t_frame = 73.77/1000.,
		  t_par = 2.95e-2/1000.,
		  scale = 1.,
		  keVPerE = 1.,
		  eFFpar[] = { 1., 1., 1., 1. },
		  modeFactor = 1.,
		  lwswPar[];
	
	CALPNALGO_initCteParam(N, iv, pp0, pp1, pp2, temp, mode, ytiming,
						   t_frame, t_par, y_shift, scale, eFFpar, keVPerE,
						   modeFactor, lwswPar);
	CALPNALGO_initHotPixels(N, iv, iv, iv, iv, pp0, iv);
    CALPNALGO_initDiscardedPixels(N, iv, iv, iv, iv);

    int iframe, iq, icol, irow;
	float eIn, eOut;

	CALPNALGO_ctiCorrect(iframe, iq, icol, irow, eIn, eOut, ierr);

	return 0;
}
