! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
!
!   timejumptest.f90  --- f90 program to test the time jump access CAL routines
!
!   DESCRIPTION:
!       This gets the time jump tolerance for a given revlution
!
program caltest_fwc

use cal             ! use the Calibration Access Layer
use dal
use errorhandling

    implicit none
    type(CalInfo)                   :: fwcFileInfo

    ! Default FF mode
    call CAL_setState(instrument=EMOS1)
    call CAL_setState(filterId=THIN1)

    call CAL_fwcInfo(fwcFileInfo)
    write(*, *) 'name              : ', fwcFileInfo%fileName

    ! eFF mode
    call CAL_setState(instrument=EPN)
    call CAL_setState(ccdModeId=PRIME_FULL_WINDOW_EXTENDED)
    call CAL_fwcInfo(fwcFileInfo)
    write(*, *) 'name              : ', fwcFileInfo%fileName

    ! eFF mode
    call CAL_setState(ccdModeId=PRIME_SMALL_WINDOW)
    call CAL_fwcInfo(fwcFileInfo)
    write(*, *) 'name              : ', fwcFileInfo%fileName

end program


